%define 	soname 4
%define		lib	libdv
%define		libname	%{lib}%{soname}
Name:         	%{lib}
License:      	GPL
Group:        	Development/Libraries/Other
Version:	1.0.0
Release:	6.7
Summary:      	The Quasar DV codec
Summary(de):	Der Quasar DV codec.
URL:		http://libdv.sourceforge.net/

Source0:        libdv-1.0.0.tar.bz2
Patch0:		%{name}.patch
AutoReqProv:    on
BuildRoot:	%{_tmppath}/buildroot-%{name}
BuildRequires:	pkgconfig
BuildRequires:  glib-devel
BuildRequires:  gtk-devel
BuildRequires:  SDL-devel
BuildRequires:	slang-devel

%description
The Quasar DV codec (libdv) is a software codec for DV video, 
the encoding format used by most digital camcorders, typically 
those that support the IEEE 1394 (a.k.a. FireWire or i.Link) 
interface. Libdv was developed according to the official 
standards for DV video: IEC 61834 and SMPTE 314M.
There are two sample applications included with libdv: playdv and encode.

Authors:
--------
    Erik Walthinsen <omega@cse.ogi.edu>
    Charles 'Buck' Krasic <krasic@acm.org>

%package -n %{lib}%{soname}
Summary:	Libdv package
Group:		Libraries/other

%description -n %{lib}%{soname}
libdv main library

%description -l de
Der Quasar DV codec.

%package -n libdv-devel
Summary:	Libdv development package
Group:		Development/Libraries/Other
Requires:     	%{name} = %{version}
%description -n %name-devel
libdvd development package

%description -l de -n %name-devel
libdvd development packet

%if %suse_version >= 930
%debug_package
%endif

%prep
%setup -q
%patch0

%build
%ifarch x86_64 amd64 ia32e
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%else
export CFLAGS="$RPM_OPT_FLAGS"
%endif
./configure \
    --prefix=/usr \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
%ifnarch %ix86
    --disable-asm \
%endif
    --enable-sdl
make %{?jobs:-j%jobs}

%install
%__make DESTDIR=%{buildroot} install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS
%doc COPYING
%doc COPYRIGHT
%doc ChangeLog
%doc NEWS
%doc README
%doc README.dvconnect
%doc README.encoder
%doc TODO
%doc %_mandir/*/*
%_bindir/encodedv
%_bindir/playdv
%_bindir/dubdv
%_bindir/dvconnect

%files -n %{libname}
%defattr(-, root, root)
%_libdir/libdv.so.4
%_libdir/libdv.so.4.*

%files devel
%defattr(-, root, root)
%_includedir/libdv
%_libdir/libdv.a
%_libdir/libdv.la
%_libdir/libdv.so
%_libdir/pkgconfig/libdv.pc

%changelog
* Tue Jan 29 2007 <cs@linux-administratro.com> 
- import for SLE_10 build
